
Installer - Bug #4679

Upper or mixed case hostnames fail as SSL certs are lower case

03/17/2014 04:03 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If the installer is run on a host with upper case characters in its hostname, puppet cert generate will create PEM files with lower case

names.  This will cause Apache startup errors.  On re-runs, it also attempts to regenerate the certificate as the file it expects to be

there isn't present (it has a lower case name).

(https://bugzilla.redhat.com/show_bug.cgi?id=1075244 - private bug, sorry)

Related issues:

Has duplicate Foreman - Bug #4790: foreman-installer does not preserve case w... Duplicate 03/24/2014

Associated revisions

Revision 0b2e3dcd - 03/27/2014 10:51 AM - Anya Marshall

Fixes #4679 - Downcase fqdn to match Puppet SSL certs casing

History

#1 - 03/17/2014 04:04 PM - Dominic Cleal

- Description updated

#2 - 03/24/2014 09:45 AM - Dominic Cleal

- Has duplicate Bug #4790: foreman-installer does not preserve case when generating Apache SSL cert added

#3 - 03/27/2014 11:01 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.8.4

- translation missing: en.field_release set to 4

https://github.com/theforeman/puppet-foreman/pull/171

https://github.com/theforeman/foreman/pull/1330

#4 - 03/27/2014 11:31 AM - Anya Marshall

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman:0b2e3dcdbd26d5f57def1053bab59c38ec72274b.
